
-----------------------------------------------------------------------------
-- TURBINE_SCHEDULED_JOB
-----------------------------------------------------------------------------
DECLARE
    TABLE_DOES_NOT_EXIST EXCEPTION;
    PRAGMA EXCEPTION_INIT(TABLE_DOES_NOT_EXIST, -942);
BEGIN
    EXECUTE IMMEDIATE 'DROP TABLE TURBINE_SCHEDULED_JOB CASCADE CONSTRAINTS';
EXCEPTION
    WHEN TABLE_DOES_NOT_EXIST THEN NULL;
END;
/

CREATE TABLE TURBINE_SCHEDULED_JOB
(
    JOB_ID NUMBER NOT NULL,
    SECOND NUMBER default -1 NOT NULL,
    MINUTE NUMBER default -1 NOT NULL,
    HOUR NUMBER default -1 NOT NULL,
    WEEK_DAY NUMBER default -1 NOT NULL,
    DAY_OF_MONTH NUMBER default -1 NOT NULL,
    TASK VARCHAR2 (99) NOT NULL,
    EMAIL VARCHAR2 (99),
    PROPERTY BLOB
)
/

ALTER TABLE TURBINE_SCHEDULED_JOB
    ADD CONSTRAINT TURBINE_SCHEDULED_JOB_PK
PRIMARY KEY (JOB_ID)
/




